import 'package:scoped_model/scoped_model.dart';

class MainModel extends Model{
  String _accessToken = "";
  String _user = "";
  String _dinum = "";
  String _userAfter = "";
  String _dinumAfter = "";
  String _estante = "ESTANTE";
  String _seccion = "SECCIÓN";
  String _categoria = "CATEGORÍA";
  int _ides = 0;
  int _idse = 0;
  int _idca = 0;
  bool _shouldRefresh = false;

  String get accessToken{
    return _accessToken;
  }

  String get user{
    return _user;
  }

  String get dinum{
    return _dinum;
  }

  String get userAfter{
    return _userAfter;
  }

  String get dinumAfter{
    return _dinumAfter;
  }

  String get estante{
    return _estante;
  }

  String get seccion{
    return _seccion;
  }

  String get categoria{
    return _categoria;
  }

  int get ides{
    return _ides;
  }

  int get idse{
    return _idse;
  }

  int get idca{
    return _idca;
  }

  bool get shouldRefresh{
    return _shouldRefresh;
  }

  void updateAccessToken(String accessToken){
    _accessToken = accessToken;
  }

  void updateUser(String user){
    _user = user;
  }

  void updateDinum(String dinum){
    _dinum = dinum;
  }

  void updateUserAfter(String userAfter){
    _userAfter = userAfter;
  }

  void updateDinumAfter(String dinumAfter){
    _dinumAfter = dinumAfter;
  }

  void updateEstante(String esta){
    _estante = esta;
  }

  void updateSeccion(String secc){
    _seccion = secc;
  }

  void updateCategoria(String cate){
    _categoria = cate;
  }

  void updateIdes(int ides){
    _ides = ides;
  }

  void updateIdse(int idse){
    _idse = idse;
  }

  void updateIdca(int idca){
    _idca = idca;
  }

  void updateShouldRefresh(bool shouldRefresh){
    _shouldRefresh = shouldRefresh;
  }

  //Memorias de calculo
  String _nombreCompleto = "";
  String _pais = "";
  String _estado = "";
  String _ciudad = "";
  String _numTel = "";
  String _correo = "";
  String _idUsuario = "";

  String get nombreCompleto{
    return _nombreCompleto;
  }

  String get pais{
    return _pais;
  }

  String get estado{
    return _estado;
  }

  String get ciudad{
    return _ciudad;
  }

  String get numTel{
    return _numTel;
  }

  String get correo{
    return _correo;
  }

  String get idUsuario{
    return _idUsuario;
  }

  void updateNombreCompleto(String nombreCompleto){
    _nombreCompleto = nombreCompleto;
  }

  void updatePais(String pais){
    _pais = pais;
  }

  void updateEstado(String estado){
    _estado = estado;
  }

  void updateCiudad(String ciudad){
    _ciudad = ciudad;
  }

  void updateNumTel(String numTel){
    _numTel = numTel;
  }

  void updateCorreo(String correo){
    _correo = correo;
  }

  void updateIDUsuario(String idUsuario){
    _idUsuario = idUsuario;
  }
}